Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.helpers.persist
Class JdbcCleanConn

    java.lang.Object
      org.jboss.soa.esb.helpers.persist.JdbcCleanConn

    public class JdbcCleanConn

extends java.lang.Object

Field Summary
`protected org.apache.log4j.Logger` | `m_oLogger`
`protected java.util.List<java.sql.PreparedStatement>` | `m_olPrepSt`

Constructor Summary
`JdbcCleanConn(javax.sql.DataSource p_oDS)`
`JdbcCleanConn(javax.sql.DataSource p_oDS, boolean transactional)`

Method Summary
`void` | `commit()`
`java.sql.ResultSet` | `execQueryWait(java.sql.PreparedStatement p_PS, int p_iQtry)`
`int` | `execUpdWait(java.sql.PreparedStatement p_PS, int p_iQtry)`
`java.util.List<java.sql.PreparedStatement>` | `getStatements()`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String p_sSt)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String p_sSt, int p_i1, int p_i2)`
`void` | `release()`
`void` | `rollback()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_olPrepSt

    protected java.util.List<java.sql.PreparedStatement> m_olPrepSt

### m_oLogger

    protected org.apache.log4j.Logger m_oLogger

Constructor Detail

### JdbcCleanConn

    public JdbcCleanConn(javax.sql.DataSource p_oDS)

### JdbcCleanConn

    public JdbcCleanConn(javax.sql.DataSource p_oDS,
                         boolean transactional)

Method Detail

### commit

    public void commit()
                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getStatements

    public java.util.List<java.sql.PreparedStatement> getStatements()

### release

    public void release()

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String p_sSt,
                                                       int p_i1,
                                                       int p_i2)
                                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String p_sSt)
                                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### execQueryWait

    public java.sql.ResultSet execQueryWait(java.sql.PreparedStatement p_PS,
                                            int p_iQtry)
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### execUpdWait

    public int execUpdWait(java.sql.PreparedStatement p_PS,
                           int p_iQtry)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD